com.brightcove.player.drm

## Interface LicenseManagerFactory

- All Known Implementing Classes:
    OfflineLicenseManagerFactory, OfflinePlaybackPlugin

      public interface LicenseManagerFactory

  Contract of a factory that can be used to createLicenseManager `LicenseManager` instances.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `LicenseManager` | `createLicenseManager(Video video, Source source)` Creates a new instance of `LicenseManager`, which can be used to acquire, renew or releases (Offline) playback DRM license for a specific video source.
    `LicenseManager` | `createLicenseManager(Video video, Source source, java.util.Map<java.lang.String,java.lang.String> properties)`

- - ### Method Detail

    - #### createLicenseManager

          @NonNull
          LicenseManager createLicenseManager(@NonNull
                                                       Video video,
                                                       @NonNull
                                                       Source source)

      Creates a new instance of `LicenseManager`, which can be used to acquire, renew or releases (Offline) playback DRM license for a specific video source.
      Parameters:
        `video` - reference to an offline playback enabled video.
        `source` - reference to the source in the video that requires an offline playback license operation.
      Returns:
        a new instance of `LicenseManager`
      Throws:
        `java.lang.IllegalStateException` - If the DRM scheme is unsupported or if a new license manager cannot be created.

    - #### createLicenseManager

          LicenseManager createLicenseManager(@NonNull
                                              Video video,
                                              @NonNull
                                              Source source,
                                              java.util.Map<java.lang.String,java.lang.String> properties)